	program moy		! identique a moyenne.c

	implicit none
	include 'amoi:q.inc'
	integer	fichin/1/,fichou/2/
	integer  nombre
	real note,somme,moyenne
	character*60 nomfichin,nomfichou

	nomfichin=qs('nom du fichier contenant les notes')
	nomfichou=qs('nom du fichier à créer            ')
	open(fichin,name=nomfichin,type='old',readonly)
	open(fichou,name=nomfichou,type='new')

	nombre=0
	somme=0
	do while (.true.)
		 read (fichin,*,end=9)note
		 write(fichou,*      )note
		 nombre=nombre+1
		 somme=somme+note
	end do

9	if (nombre.ne.0) then
		moyenne=somme/nombre
	else
		moyenne=0.
	end if

	write(6,'(''moyenne ='',f5.2)')moyenne

	stop
	end
